Skip to navigation

Get a Legacy Request by ID

Get a Legacy Request by ID

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

request_idstringRequired

Query parameters

returningstringOptional

Comma-separated list of fields to return. Modifies the output shape. To return all keys at a given level, enumerate them or use the wildcard, ’*’. For more information, click here.

Response

OK
apiURLstringOptionalRead-onlyformat: "uri"
The canonical url of the Legacy Request in the API.
assigneeslist of objectsOptionalRead-only
Array of assignees
createdAtstringOptionalRead-onlyformat: "isoformat"
Date and time the Legacy Request was created
creatorobjectOptional
UserSummary of the user who created the Legacy Request
displayIdstringOptionalRead-only

User-friendly ID of the Legacy Request

fieldsmap from strings to objectsOptional
idstringOptionalRead-only
Unique ID for the Legacy Request
projectIdstringOptional
The ID of the project to which the Legacy Request belongs.
requestStatusenumOptional
Allowed values:
requestorobjectOptional
UserSummary of the user making the Legacy Request
sampleGroupslist of objectsOptional
scheduledOndate or nullOptional

Date the Legacy Request is scheduled to be executed on, in YYYY-MM-DD format.

schemaobjectOptional
SchemaSummary for the Legacy Request
taskslist of objectsOptional
webURLstringOptionalRead-onlyformat: "uri"
URL of the Legacy Request

Errors

404
Not Found Error